<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">


    <s:decorate template="/layout/cards/_card.xhtml">
        <ui:param name="showCard" value="true"/>
        <ui:define name="card-header">
            <i class="fa fa-sitemap"/>
            <span>#{messages['net.ihe.gazelle.tm.SUTsNetworkConfiguration']} </span>
        </ui:define>
        <ui:define name="card-body">
            <p>
                #{messages['net.ihe.gazelle.tm.ShareTheNetworkConfigurationOfYourSystemsUnderTe']}
            </p>

            <a4j:repeat value="#{sutNetworkConfigurationBeanGui.getSutNetworkConfigurationSummaries()}"
                        var="networkConfigurationSummary">
                <div>
                    <h:outputText class="sut-network-name" value="#{networkConfigurationSummary.getSutName()}"/>
                    <a4j:commandLink execute="@this"
                                     rendered="#{sutNetworkConfigurationBeanGui.isThereConfiguration(networkConfigurationSummary)}"
                                     action="#{networkConfigurationSummary.getNetworkInterfaceLink()}">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                </div>
                <s:div styleClass="progress" style="width: 70%"
                       rendered="#{sutNetworkConfigurationBeanGui.isThereConfiguration(networkConfigurationSummary)}">
                    <div class="progress-bar sut-network-progress-bar progress-bar-success"
                         role="progressbar"
                         style="#{sutNetworkConfigurationBeanGui.getApprovedStyle(networkConfigurationSummary)}; "
                         title="#{networkConfigurationSummary.numberApproved} #{messages['net.ihe.gazelle.tm.ApprovedSUTNetworkInterfaces']}">
                        #{networkConfigurationSummary.numberApproved}
                    </div>
                    <div class="progress-bar sut-network-progress-bar progress-bar-striped progress-bar-warning"
                         role="progressbar"
                         style="#{sutNetworkConfigurationBeanGui.getNotApprovedStyle(networkConfigurationSummary)}"
                         title="#{networkConfigurationSummary.numberNotApproved} #{messages['net.ihe.gazelle.tm.SUTNetworkInterfacesToBeReviewedAndApproved']}">
                        #{networkConfigurationSummary.numberNotApproved}
                    </div>
                </s:div>
                <s:div rendered="#{!sutNetworkConfigurationBeanGui.isThereConfiguration(networkConfigurationSummary)}">
                    <h:outputText class="gzl-alert sut-network-alert gzl-alert-orange" value="#{messages['net.ihe.gazelle.tm.NoNetworkInterfaceDefined']}"/>
                </s:div>
            </a4j:repeat>
            <div>
                <h:outputText
                        value="#{sutNetworkConfigurationBeanGui.getNumberOfNetworkConfigurationsHosts()} "/>
                <h:commandLink execue="@this"
                               value="#{messages['net.ihe.gazelle.tm.Hosts_2']}"
                               action="#{sutNetworkConfigurationBeanGui.redirectToSUTNodesPage()}"/>
                <h:outputText
                        value=" #{messages['net.ihe.gazelle.tm.AreAssignedToYourOrganisation']}. "/>
                <h:outputText
                        value="#{sutNetworkConfigurationBeanGui.getNumberOfNetworkConfigurationsHostsNoIp()} #{messages['net.ihe.gazelle.tm.OfThemAreWaitingForAnIPAddressToBeAssigned']}"/>
            </div>
        </ui:define>
        <ui:define name="card-footer">
            <p>
                #{messages['net.ihe.gazelle.tm.ConfigureYourSystemsUnderTestToInteractWithYourP']}
            </p>
            <div class="col-sm-6">
                <h:commandButton id="networkDetails" styleClass="gzl-btn gzl-btn-green form-control"
                                 value="#{messages['net.ihe.gazelle.tm.NetworkDetails']}"
                                 action="#{SUTNetworkSummaryBeanGui.networkDetailsButton()}"/>
            </div>
            <div class="col-sm-6">
                <h:commandButton id="SUTNetworkInterfaces" styleClass="gzl-btn gzl-btn-green form-control"
                                 value="#{messages['net.ihe.gazelle.tm.SUTNetworkInterfaces']}"
                                 style="padding: 1px"
                                 action="#{SUTNetworkSummaryBeanGui.SUTNetworkInterfacesButton()}"/>
            </div>
        </ui:define>
    </s:decorate>


</ui:composition>